# PetscCompareInt

Compares integers while running with PETScs incremental debugger.

### Synopsis

    #include "petsc.h"
    PetscErrorCode PetscCompareInt(PetscInt d)

Collective on PETSC_COMM_WORLD

### Input Parameter

d -integer to compare

### Options Database Key

-compare -Activates PetscCompareDouble(), PetscCompareInt(), and PetscCompareScalar()

### See Also

PetscCompareDouble(), PetscCompareScalar()

Level:advanced
Location:src/sys/src/objects/init.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages